<?php

// QuickTicket 1.8 build:20080627

// --------

function LimitSQL($dbtype,$strState,$strOrder,$intStart=0,$intLength=50,$intCount=50)
{
  $strOrder = trim($strOrder); if ( substr($strOrder,-3,3)!="ASC" && substr($strOrder,-4,4)!="DESC" ) $strOrder .= " ASC";
  switch ($dbtype)
  {
  case 'mysql':
    return "SELECT $strState ORDER BY $strOrder LIMIT $intStart,$intLength";
    break;
  case 'mssql':
    if ($intStart==0)
    {
      $strQ = "SELECT TOP $intLength $strState ORDER BY $strOrder";
    }
    elseif ( ($intLength+$intStart)>$intCount )
    {
      $strInvor = $strOrder;
      if ( substr($strOrder,-4,4)==' ASC' ) $strInvor=str_replace(' ASC',' DESC',$strOrder);
      if ( substr($strOrder,-4,4)=='DESC' ) $strInvor=str_replace(' DESC',' ASC',$strOrder);
      $intLast = $intCount-$intStart;
      $strQ = "SELECT TOP $intLast $strState ORDER BY $strInvor";
      $strOrder = str_replace('t.','',$strOrder); // to support t1,t2
      $strInvor = str_replace('t.','',$strInvor); // to support t1,t2
      $strQ = "SELECT * FROM ($strQ) As t1 ORDER BY $strOrder";
    }
    else
    {
      $strInvor = $strOrder;
      if ( substr($strOrder,-4,4)==' ASC' ) $strInvor=str_replace(' ASC',' DESC',$strOrder);
      if ( substr($strOrder,-4,4)=='DESC' ) $strInvor=str_replace(' DESC',' ASC',$strOrder);
      $invlength = $intLength+$intStart;
      $intFinaltop = $invlength; if ( ($intLength+$intStart)>$intCount ) $intFinaltop = $intCount-$intLength;
      $strQ = "SELECT TOP $invlength $strState ORDER BY $strOrder";
      $strOrder = str_replace('t.','',$strOrder); // to support t1,t2
      $strInvor = str_replace('t.','',$strInvor); // to support t1,t2
      $strQ = "SELECT * FROM (SELECT TOP $intLength * FROM ($strQ) As t1 ORDER BY $strInvor) As t2 ORDER BY $strOrder";
    }
    return $strQ;
    break;
  case 'pg':
    return "SELECT $strState ORDER BY $strOrder LIMIT $intLength OFFSET $intStart";
    break;
  case 'ibase':
    return "SELECT FIRST $intLength SKIP $intStart $strState ORDER BY $strOrder";
    break;
  case 'sqlite':
    return "SELECT $strState ORDER BY $strOrder LIMIT $intLength OFFSET $intStart";
    break;
  case 'ifx':
    return "SELECT SKIP ".$intStart." FIRST ".$intLength." " .$strState." ORDER BY ".$strOrder;
    break;
  case 'db2':
    if ($intStart==0)
    {
      return "SELECT $strState ORDER BY $strOrder FETCH FIRST $intLength ROWS ONLY";
    }
    else
    {
      return "SELECT * FROM (SELECT ROW_NUMBER() OVER() AS RN, $strState) AS cols WHERE RN BETWEEN ($intStart+1) AND ($intStart+1+$intLength)";
    }
    break;
  case 'access':
    if ($intStart==0)
    {
      $strQ = "SELECT TOP $intLength $strState ORDER BY $strOrder";
    }
    elseif ( ($intLength+$intStart)>$intCount )
    {
      $strInvor = $strOrder;
      if ( substr($strOrder,-4,4)==' ASC' ) $strInvor=str_replace(' ASC',' DESC',$strOrder);
      if ( substr($strOrder,-4,4)=='DESC' ) $strInvor=str_replace(' DESC',' ASC',$strOrder);
      $invlength = $intLength+$intStart;
      $intFinaltop = $intCount-$intLength;
      $strQ = "SELECT TOP $invlength $strState ORDER BY $strOrder";
      $strOrder = str_replace('t.','',$strOrder); // to support t1,t2
      $strInvor = str_replace('t.','',$strInvor); // to support t1,t2
      $strQ = "SELECT * FROM (SELECT TOP $intFinaltop * FROM ($strQ) As t1 ORDER BY $strInvor) As t2 ORDER BY $strOrder";
    }
    else
    {
      $strInvor = $strOrder;
      if ( substr($strOrder,-4,4)==' ASC' ) $strInvor=str_replace(' ASC',' DESC',$strOrder);
      if ( substr($strOrder,-4,4)=='DESC' ) $strInvor=str_replace(' DESC',' ASC',$strOrder);
      $invlength = $intLength+$intStart;
      $strQ = "SELECT TOP $invlength $strState ORDER BY $strOrder";
      $strOrder = str_replace('t.','',$strOrder); // to support t1,t2
      $strInvor = str_replace('t.','',$strInvor); // to support t1,t2
      $strQ = "SELECT * FROM (SELECT TOP $intLength * FROM ($strQ) As t1 ORDER BY $strInvor) As t2 ORDER BY $strOrder";
    }
    return $strQ;
    break;
  case 'oci':
    if ($intStart==0)
    {
      return "SELECT * FROM (SELECT $strState ORDER BY $strOrder) WHERE ROWNUM<=$intLength";
    }
    else
    {
      return "SELECT * FROM (SELECT a.*, rownum RN FROM (SELECT $strState ORDER BY $strOrder) a WHERE rownum<$intStart+1+$intLength) WHERE rn>=$intStart";
    }
    break;
  default: die('Unknown db type '.$dbtype);
  }
}

// --------

function DateAddBeforeNow($oDB,$strField,$days)
{
  Switch ($oDB->type)
  {
  case 'mysql': return "DATE_ADD($strField, INTERVAL $days DAY) < NOW()"; break;
  case 'mssql': return "DATEADD(day,$days,$strField) < GETDATE()"; break;
  case 'pg':    return "($strField + INTERVAL '$days DAY') < current_timestamp"; break;
  case 'ibase': return "($strField + $days) < 'NOW'"; break;
  case 'sqlite':return "DATE('$strField','+$days days') < DATE('NOW')"; break;
  case 'access':return "DATEADD('d',$days,$strField) < DATE()"; break;
  case 'db2':   return "timestampdiff(16,char(current timestamp - $strField)) > $days"; break;
  case 'ifx':   return "(TODAY - $strField) > $days UNITS DAY"; break;
  case 'oci':   return "SUBSTR($strField,1,8) < TO_CHAR(SYSDATE-$days,'YYYYMMDD')"; break;
  default: die('Unknown db type '.$dbtype);
  }
}

// --------

function DateOlderThan($oDB,$strField,$days)
{
  $return = '';
  Switch ($oDB->type)
  {
  case 'mysql': return "DATE_SUB(NOW(),INTERVAL $days DAY) <= $strField"; break;
  case 'mssql': return "DATEADD(d,-$days,GETDATE()) <= $strField"; break;
  case 'pg':    return "(current_timestamp - INTERVAL '$days DAY') <= $strField"; break;
  case 'ibase': return "('NOW' - $days ) <= $strField"; break;
  case 'sqlite': return "DATE('NOW', '-$days DAY') <= $strField"; break;
  case 'access':return "DATEADD('d',-$days,DATE()) <= $strField"; break;
  case 'db2':   return "(CURRENT TIMESTAMP - $days DAYS) <= $strField"; break;
  case 'ifx':   return "(TODAY - $days UNITS DAY) <= $strField"; break;
  case 'oci':   return "TO_CHAR(SYSDATE - $days,'YYYYMMDD') <= SUBSTR($strField,1,8)"; break;
  default: die('Unknown db type '.$dbtype);
  }
}

// --------

function FirstCharCase($oDB,$strField,$strCase='u')
{
  Switch ($oDB->type)
  {
  case 'mysql':
    if ( $strCase=='u' ) return "UPPER(LEFT($strField,1))";
    if ( $strCase=='l' ) return "LOWER(LEFT($strField,1))";
    if ( $strCase=='a-z' ) return "UPPER($strField) NOT REGEXP '^[A-Z]'";
    break;
  case 'mssql':
    if ( $strCase=='u' ) return "UPPER(LEFT($strField,1))";
    if ( $strCase=='l' ) return "LOWER(LEFT($strField,1))";
    if ( $strCase=='a-z' ) return "(ASCII(UPPER(LEFT($strField,1)))<65 OR ASCII(UPPER(LEFT($strField,1)))>90)";
    break;
  case 'access':
    if ( $strCase=='u' ) return "UCASE(LEFT($strField,1))";
    if ( $strCase=='l' ) return "LCASE(LEFT($strField,1))";
    if ( $strCase=='a-z' ) return "(ASC(UCASE(LEFT($strField,1)))<65 OR ASC(UCASE(LEFT($strField,1)))>90)";
    break;
  case 'pg':
    if ( $strCase=='u' ) return "UPPER(SUBSTRING($strField,1,1))";
    if ( $strCase=='l' ) return "LOWER(SUBSTRING($strField,1,1))";
    if ( $strCase=='a-z' ) return "UPPER($strField) !~ '^[A-Z]'";
    break;
  case 'ibase':
    if ( $strCase=='u' ) return "UPPER(SUBSTRING($strField FROM 1 FOR 1))";
    if ( $strCase=='l' ) return "LOWER(SUBSTRING($strField FROM 1 FOR 1))";
    if ( $strCase=='a-z' ) return "(UPPER(SUBSTRING($strField FROM 1 FOR 1))<'A' OR UPPER(SUBSTRING($strField FROM 1 FOR 1))>'Z')";
    break;
  case 'sqlite':
    if ( $strCase=='u' ) return "UPPER(SUBSTR($strField,1,1))";
    if ( $strCase=='l' ) return "LOWER(SUBSTR($strField,1,1))";
    if ( $strCase=='a-z' ) return "(UPPER(SUBSTR($strField,1,1))<'A' OR UPPER(SUBSTR($strField,1,1))>'Z')";
    break;
  case 'ifx':
    if ( $strCase=='u' ) return "UPPER(SUBSTRING($strField,1,1))";
    if ( $strCase=='l' ) return "LOWER(SUBSTRING($strField,1,1))";
    if ( $strCase=='a-z' ) return "UPPER(SUBSTRING($strField,1,1)) NOT MATCHES '^[A-Z]'";
    break;
  case 'db2':
    if ( $strCase=='u' ) return "UPPER(SUBSTR($strField,1,1))";
    if ( $strCase=='l' ) return "LOWER(SUBSTR($strField,1,1))";
    if ( $strCase=='a-z' ) return "(ASCII(UPPER(SUBSTR($strField,1,1)))<65 OR ASCII(UPPER(SUBSTR($strField,1,1)))>90)";
    break;
  case 'oci':
    if ( $strCase=='u' ) return "UPPER(SUBSTR($strField,1,1))";
    if ( $strCase=='l' ) return "LOWER(SUBSTR($strField,1,1))";
    if ( $strCase=='a-z' ) return "(ASCII(UPPER(SUBSTR($strField,1,1)))<65 OR ASCII(UPPER(SUBSTR($strField,1,1)))>90)";
    break;
  default: die('Unknown db type '.$dbtype);
  }
}

// --------

function LastPostDelayAcceptable($oVIP)
{
  if ( isset($_SESSION[QT]['posts_delay']) ) { $intMax = intval($_SESSION[QT]['posts_delay']); } else { $intMax=5; }
  if ( $oVIP->numpost==0 ) return TRUE;
  if ( isset($_SESSION['qti_usr_lastpost']) ) {
  if ( !empty($_SESSION['qti_usr_lastpost']) ) {
    if ( $_SESSION['qti_usr_lastpost']+$intMax >= time() ) return FALSE;
  }}
  return TRUE;
}

// --------

function PostsTodayAcceptable($oDB,$oVIP,$intMax)
{
  if ( $oVIP->id<2 || $oVIP->numpost==0 ) return TRUE;

  // count if not yet defined
  if ( !isset($_SESSION['qti_usr_posts_today']) )
  {
    switch($oDB->type)
    {
    case 'mysql': $strQ = 'SELECT count(id) as td FROM '.TABPOST.' WHERE userid='.$oVIP->id.' AND DATE_FORMAT(issuedate,"%Y%m%d") = DATE_FORMAT(CURDATE(),"%Y%m%d")'; break;
    case 'mssql': $strQ = 'SELECT count(id) as td FROM '.TABPOST.' WHERE userid='.$oVIP->id.' AND CONVERT(VARCHAR,issuedate,12)=CONVERT(VARCHAR,GETDATE(),12)'; break;
    case 'pg':    $strQ = 'SELECT count(id) as td FROM '.TABPOST.' WHERE userid='.$oVIP->id.' AND TO_CHAR(issuedate,"YYYYMMDD")=TO_CHAR(NOW(),"YYYYMMDD")'; break;
    case 'ibase': $strQ = 'SELECT count(id) as td FROM '.TABPOST.' WHERE userid='.$oVIP->id.' AND CAST(issuedate as DATE)="TODAY"'; break;
    case 'sqlite':$strQ = 'SELECT count(id) as td FROM '.TABPOST.' WHERE userid='.$oVIP->id.' AND DATE(issuedate)=DATE("NOW")'; break;
    case 'db2':   $strQ = 'SELECT count(id) as td FROM '.TABPOST.' WHERE userid='.$oVIP->id.' AND VARCHAR_FORMAT(issuedate, "YYYY-MM-DD")=VARCHAR_FORMAT(CURRENT TIMESTAMP, "YYYY-MM-DD")'; break;
    case 'ifx':   $strQ = 'SELECT count(id) as td FROM '.TABPOST.' WHERE userid='.$oVIP->id.' AND issuedate YEAR TO DATE = CURRENT YEAR TO DATE'; break;
    case 'access':$strQ = 'SELECT count(id) as td FROM '.TABPOST.' WHERE userid='.$oVIP->id.' AND FORMAT(issuedate,"YYYYMMdd")=FORMAT(DATE(),"YYYYMMdd")'; break;
    case 'oci':   $strQ = 'SELECT count(id) as td FROM '.TABPOST.' WHERE userid='.$oVIP->id.' AND SUBSTR(issuedate,1,6)=TO_CHAR(SYSDATE,"YYYYMMDD")'; break;
    default: die('Unknown db type '.$dbtype);
    }
    $oDB->Query($strQ);
    $row = $oDB->Getrow();
    $_SESSION['qti_usr_posts_today'] = $row['td'];
  }
  if ( $_SESSION['qti_usr_posts_today']<$intMax ) return TRUE;
  return FALSE;
}

?>