<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Troubleticket
 * @package    QuickTicket
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2010 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.8 build:20080627
 * @link       http://www.qt-cute.org/doc/package/qti
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qti_init.php');
if ( $oVIP->role!='A' ) die($L['R_admin']);

// INITIALISE

$s = -1;
if ( isset($_GET['s']) ) $s = intval($_GET['s']);
if ( isset($_POST['s']) ) $s = intval($_POST['s']);
if ( $s<0 ) die('Missing parameters');

require_once('bin/qti_class_section.php');
include(Translate($_SESSION[QT]['language'],'qti_lang_adm.inc'));

$oVIP->selfurl  = 'qti_adm_section.php';
$oVIP->selfname = $L['Section_upd'];
$oVIP->exiturl  = 'qti_adm_sections.php';
$oVIP->exitname = '&laquo;'.S.$L['Section_man'];

$arrStaff = GetUsers($oDB,'M');
if ( count($arrStaff)>15 ) { $bAjax=true; } else { $bAjax=false; }

$oSection = new cSection($oDB,$s);

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
  // CHECK MANDATORY VALUE

  $str = trim(strip_tags($_POST['title'])); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
  $str = QThtmlquote($str,true,true,QTI_CONVERT_AMP);
  if ( empty($str) ) $qti_error = $L['Title'].S.$L['E_invalid'];

  if ( empty($qti_error) )
  {
    $oSection->domid = intval($_POST['domain']);
    $oSection->name = $str;
    $str = trim($_POST['descr']); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
    $oSection->descr = QThtmlquote($str,true,true,QTI_CONVERT_AMP);
    $oSection->type = intval($_POST['type']);
    $oSection->status = intval($_POST['status']);
    $oSection->notify= intval($_POST['notify']);
    if ( isset($_POST['modname']) )
    {
      if ( $_POST['modname']!=$_POST['modnameold'] )
      {
      $oSection->modname = $_POST['modname'];
      $oSection->modid = array_search($_POST['modname'],$arrStaff);
      if ( $oSection->modid==FALSE || empty($oSection->modid) ) { $oSection->modid=1; $oSection->modname=$arrStaff[1]; $qti_warning=$L['Userrole_MF'].S.$L['E_invalid']; }
      }
    }
    if ( isset($_POST['modid']) )
    {
      if ( $_POST['modid']!=$_POST['modidold'] )
      {
        $oSection->modname = $arrStaff[$_POST['modid']];
        $oSection->modid = $_POST['modid'];
      }
    }
    $oSection->titlefield = intval($_POST['titlefield']);
    $oSection->numfield = trim($_POST['numfield']); if ( strlen($oSection->numfield)==0 ) $oSection->numfield='N';
    $oSection->infofield = $_POST['infofield'];
    $oSection->prefix = $_POST['prefix'];
    $oSection->wisheddate = intval($_POST['wisheddate']);
    $oSection->notifycc = intval($_POST['alternate']);
  }

  // SAVE

  if ( empty($qti_error) )
  {
    // update
    $strQ  = 'UPDATE '.TABSECTION.' SET';
    $strQ .= ' domainid='.$oSection->domid;
    $strQ .= ',title="'.$oSection->name.'"';
    $strQ .= ',description="'.$oSection->descr.'"';
    $strQ .= ',type="'.$oSection->type.'"';
    $strQ .= ',status="'.$oSection->status.'"';
    $strQ .= ',notify="'.$oSection->notify.'"';
    $strQ .= ',moderator='.$oSection->modid;
    $strQ .= ',moderatorname="'.$oSection->modname.'"';
    $strQ .= ',titlefield="'.$oSection->titlefield.'"';
    $strQ .= ',numfield="'.$oSection->numfield.'"';
    $strQ .= ',infofield="'.$oSection->infofield.'"';
    $strQ .= ',alternate="'.$oSection->notifycc.'"';
    $strQ .= ',wisheddate="'.$oSection->wisheddate.'"';
    $strQ .= ',prefix="'.$oSection->prefix.'"';
    $strQ .= ' WHERE id='.$oSection->id;
    $oDB->Query($strQ);
    Unset($_SESSION['qtiGoto']);
    Unset($_SESSION[QT]['sys_notifysections']);

    // exit
    $strInfo = $L['S_save'];
  }
}

// --------
// HTML START
// --------

$arrJava = array('ajax'=>$bAjax);

include('qti_adm_p_header.php');
include('qti_adm_p_title.php');

$arrDest = $_SESSION['qtiDomains'];
Unset($arrDest[$oSection->domid]);

// FORM

echo '
<script type="text/javascript">
<!--
function ValidateForm(theForm)
{
  if (theForm.title.value.length==0) { alert(html_entity_decode("',$L['E_mandatory'],': ',$L['Title'],'")); return false; }
  return null;
}
-->
</script>
';

echo '<form method="post" action="',$oVIP->selfurl,'" onsubmit="return ValidateForm(this);">
<table class="tab" cellspacing="0">
<tr class="tr tr_o">
<th class="th_o th_o_all" style="text-align:left" colspan="2"><b>',$L['Classification'],'</b></th>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o" style="width:150px; text-align:right"><span class="texthead">',$L['Domain'],'</span></th>
<td class="td_o"><select name="domain">
<option value="',$oSection->domid,'"',QSEL,'>',$_SESSION['qtiDomains'][$oSection->domid],'</option>',QTastags($arrDest,$L['Move_to'].': %s'),'</select></td>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o th_o_all" style="text-align:left" colspan="2"><b>',$L['Definition'],'</b></th>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="type">',$L['Type'],'</label></span></th>
<td class="td_o">
<select id="type" name="type">
<option value="1"',($oSection->type==1 ? QSEL : ''),'>',$L['Section_type'][1],'</option>
<option value="0"',($oSection->type==0 ? QSEL : ''),'>',$L['Section_type'][0],'</option>
<option value="2"',($oSection->type==2 ? QSEL : ''),'>',$L['Section_type'][2],'</option>
</select>
 ',$L['Status'],' <select id="status" name="status">
<option value="0"',($oSection->status==0 ? QSEL : ''),'>',$L['Section_status'][0],'</option>
<option value="1"',($oSection->status==1 ? QSEL : ''),'>',$L['Section_status'][1],'</option>
</select>
 ',$L['Notification'],' <select id="notify" name="notify">
<option value="1"',($oSection->notify==1 ? QSEL : ''),'>',$L['Y'],'</option>
<option value="0"',($oSection->notify==0 ? QSEL : ''),'>',$L['N'],'</option>
</select>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o" style="width:150px; text-align:right"><span class="texthead"><label for="title">',$L['Title'],'</label></span></th>
<td class="td_o"><input type="text" id="title" name="title" size="55" maxlength="64" value="',$oSection->name,'" style="background-color:#FFFF99;"/></td>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o" style="width:150px; text-align:right"><span class="texthead">',$L['Description'],'</span></th>
<td class="td_o"><textarea name="descr" rows="3"cols="55">',$oSection->descr,'</textarea></td>
</tr>
';
if ( $bAjax )
{
echo '<tr class="tr tr_o">
<th class="th_o" style="width:150px; text-align:right"><span class="texthead">',$L['Userrole_MF'],'</span></th>
<td class="td_o">
<input type="hidden" name="modnameold" value="',$oSection->modname,'"/>
<input name="modname" id="modname" size="20" maxlength="24" value="',$oSection->modname,'"/>
</td>
</tr>
';
}
else
{
echo '<tr class="tr tr_o">
<th class="th_o" style="width:150px; text-align:right"><span class="texthead">',$L['Userrole_MF'],'</span></th>
<td class="td_o">
<input type="hidden" name="modidold" value="',$oSection->modid,'"/>
<select name="modid" id="modid"/>',QTastags($arrStaff,null,$oSection->modid,null,$oSection->modid,'bold'),'</select>
</td>
</tr>
';
}
echo '<tr class="tr tr_o">
<th class="th_o th_o_all" style="text-align:left" colspan="2"><b>',$L['Specific_fields'],'</b></th>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="numfield">',$L['Show_topic_id'],'</label></span></th>
<td class="td_o">
<input type="text" size="12" maxlength="24" name="numfield" value="',($oSection->numfield=='N' ? '' : $oSection->numfield),'"/>&nbsp;<span class="small">',$L['H_Show_topic_id'],'</span></td>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="titlefield">',$L['Show_topic_title'],'</label></span></th>
<td class="td_o">
<select id="titlefield" name="titlefield">',QTastags($L['Topic_title'],null,$oSection->titlefield),'</select>&nbsp;<span class="small">',$L['H_Show_topic_title'],'</span></td>
</tr>
';
echo '<tr class="tr tr_o" title="',$L['H_Topic_prefix'],'">
<th class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="prefix">',$L['Topic_prefix'],'</label></span></th>
<td class="td_o">
<select id="prefix" name="prefix">
',QTastags($L['Prefix_serie'],null,$oSection->prefix),'
<option value="0"',($oSection->prefix=='0' ? QSEL : ''),'>','(',$L['None'],')','</option>
</select>&nbsp;<a class="small" href="qti_adm_prefix.php" target="_blank">',$L['Topic_prefix_demo'],'</a></td>
</tr>
';
echo '<tr class="tr tr_o" title="',$L['H_Show_topic_wisheddate'],'">
<th class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="wisheddate">',$L['Show_topic_wisheddate'],'</label></span></th>
<td class="td_o">
<select id="wisheddate" name="wisheddate">',QTastags($L['Topic_wisheddate'],null,$oSection->wisheddate),'</select>
</td>
</tr>
';
echo '<tr class="tr tr_o" title="',$L['H_Show_topic_notify'],'">
<th class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="prefix">',$L['Show_topic_notify'],'</label></span></th>
<td class="td_o">
<select id="alternate" name="alternate">',QTastags($L['Topic_notify'],null,$oSection->notifycc),'</select>
</td>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="infofield">',$L['Infofield'],'</label></span></th>
<td class="td_o">
<select id="infofield" name="infofield">',QTastags($L['Last_column_label'],null,$oSection->infofield),'<option value="N"',($oSection->infofield=='N' ? QSEL : ''),'>(',$L['None'],')</option>
</select></td>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o" colspan="2" style="padding:6px; text-align:center"><input type="hidden" name="s" value="',$oSection->id,'"/><input type="submit" name="ok" value="',$L['Save'],'"/></th>
</tr>
';
echo '</table>
</form><br/>
<a href="',$oVIP->exiturl,'">',$oVIP->exitname,'</a>
<br/>';

// HTML END

if ( isset($bAjax) )
{
echo '
<script type="text/javascript">
<!--
var options_xml = {script: function (input) { return "qti_j_name.php?r=M&name="+document.getElementById("modname").value; },varname:"input"};var as_xml = new bsn.AutoSuggest("modname", options_xml);
-->
</script>';
}

include('qti_adm_p_footer.php');

?>