<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Troubleticket
 * @package    QuickTicket
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2010 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.8 build:20080627
 * @link       http://www.qt-cute.org/doc/package/qti
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qti_init.php');
if ( $oVIP->role!='A' ) die($L['R_admin']);

// INITIALISE

include(Translate($_SESSION[QT]['language'],'qti_lang_adm.inc'));

function arrShift($arrSrc,$intObject,$strDir)
{
  $arrTemp = $arrSrc;

  // search for the value
  foreach ($arrSrc as $intKey => $intValue)
  {
  if ( $intValue==$intObject ) $intNewkey = $intKey;
  }
  if ( !isset($intNewkey) ) return false;
  if ( $intNewkey==0 && $strDir=='up' ) return $arrSrc;
  if ( $intNewkey==(count($arrSrc)-1) && $strDir=='down' ) return $arrSrc;

  // reorder the elements
  if ( $strDir=='up' ) { $intDir = -1; } else { $intDir = 1; }
  $arrTemp[$intNewkey+$intDir] = $arrSrc[$intNewkey];
  $arrTemp[$intNewkey] = $arrSrc[$intNewkey+$intDir];

  // return the ordered array
  return $arrTemp;
}

$oVIP->selfurl = 'qti_adm_sections.php';
$oVIP->selfname = $L['Section_man'];

// --------
// SUBMITTED
// --------

// ADD DOMAIN

if ( isset($_POST['adddomain']) )
{
  // CHECK TITLE
  $str = $_POST['title']; if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
  $str = QThtmlquote($str,true,true,QTI_CONVERT_AMP);
  if ( empty($str) ) $qti_error = $L['Domain'].'/'.$L['Section'].S.$L['E_invalid'];

  // SAVE
  if ( empty($qti_error) )
  {
  $intNewid = QTnextid($oDB,TABDOMAIN);
  $oDB->Query( 'INSERT INTO '.TABDOMAIN.' (id,title,titleorder) VALUES ('.$intNewid.',"'.$str.'",0)' );
  }
}

// ADD FORUM

if ( isset($_POST['addforum']) )
{
  // CHECK TITLE
  $str = $_POST['title']; if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
  $str = QThtmlquote($str,true,true,QTI_CONVERT_AMP);
  if ( empty($str) ) $qti_error = $L['Domain'].'/'.$L['Section'].S.$L['E_invalid'];

  // SAVE
  if ( empty($qti_error) )
  {
  $intId = QTnextid($oDB,TABSECTION);
  $oDB->Query('INSERT INTO '.TABSECTION.' (domainid,id,
  title,description,type,status,notify,titleorder,
  moderator,moderatorname,topics,replies,
  titlefield,numfield,infofield,wisheddate,alternate,prefix)
  VALUES ('.intval($_POST['indomain']).','.$intId.',
  "'.$str.'","","0","0","1",0,
  0,"Admin",0,0,
  "1","%03s","replies","0","0","a")');
  }  
}

// Move domain/forum

if ( isset($_GET['a']) )
{
  if ( $_GET['a']=='d_up' )
  {
    $oDB->Query('SELECT id FROM '.TABDOMAIN.' ORDER BY titleorder');
    $arrList = array();
    while ($row = $oDB->Getrow())
    {
    $arrList[]=$row['id'];
    }
    $arrOrdered = arrShift($arrList,$_GET['d'],'up');
    $i = 0;
    foreach ($arrOrdered as $intId)
    {
    $oDB->Query('UPDATE '.TABDOMAIN." SET titleorder=$i WHERE id=$intId");
    $i++;
    }
  }
  if ( $_GET['a']=='d_down' )
  {
    $oDB->Query('SELECT id FROM '.TABDOMAIN.' ORDER BY titleorder');
    $arrList = array();
    while ($row = $oDB->Getrow())
    {
    $arrList[]=$row['id'];
    }
    $arrOrdered = arrShift($arrList,$_GET['d'],'down');
    $i = 0;
    foreach ($arrOrdered as $intId)
    {
    $oDB->Query('UPDATE '.TABDOMAIN." SET titleorder=$i WHERE id=$intId");
    $i++;
    }
  }
  if ( $_GET['a']=='f_up' )
  {
    $oDB->Query('SELECT id FROM '.TABSECTION.' ORDER BY titleorder');
    $arrList = array();
    while ( $row=$oDB->Getrow() )
    {
    $arrList[]=$row['id'];
    }
    $arrOrdered = arrShift($arrList,$_GET['s'],'up');
    $i = 0;
    foreach ($arrOrdered as $intId)
    {
    $oDB->Query('UPDATE '.TABSECTION." SET titleorder=$i WHERE id=$intId");
    $i++;
    }
  }
  if ( $_GET['a']=='f_down' )
  {
    $oDB->Query('SELECT id FROM '.TABSECTION.' ORDER BY titleorder');
    $arrList = array();
    while ($row = $oDB->Getrow())
    {
    $arrList[]=$row['id'];
    }
    $arrOrdered = arrShift($arrList,$_GET['s'],'down');
    $i = 0;
    foreach ($arrOrdered as $intId)
    {
    $oDB->Query('UPDATE '.TABSECTION.' SET titleorder='.$i.' WHERE id='.$intId);
    $i++;
    }
  }
}

// --------
// HTML START
// --------

include('qti_adm_p_header.php');
include('qti_adm_p_title.php');

// CONTENT

GetDomains($oDB);
$_SESSION['qtiGoto'] = GetSectionTitles($oDB,$oVIP->role,'-',-1,'',QTI_SHOW_DOMAIN);

$strYes = '<b>'.$L['Y'].'</b>';
$strNo  = '<span class="disabled">'.$L['N'].'</span>';

echo '<table class="tab tab_s" cellspacing="0">
<colgroup span="7"><col width="50"></col><col></col><col></col><col></col><col></col><col></col><col></col></colgroup>
<tr class="tr_s tr_s0">
<th class="th_o" colspan="2">',$L['Domain'],'/',$L['Section'],'</th>
<th class="th_o">',$L['Userrole_MF'],'</th>
<th class="th_o">',$L['Ref'],'</th>
<th class="th_o">',$L['Notification'],'</th>
<th class="th_o">',$L['Action'],'</th>
<th class="th_o">',$L['Move'],'</th>
</tr>
';

$i=0;
foreach ($_SESSION['qtiDomains'] as $intDomid => $strDomtitle)
{
  // GET FORUMS (with hidden)

  $arrSections = GetSectionTitles($oDB,'A',$intDomid);

  // DISPLAY

  echo '<tr class="tr_s tr_s1">',N;
  echo '<td class="td_o_all" colspan="2">',$strDomtitle,'</td>',N;
  echo '<td class="td_o_all">&nbsp;</td>',N;
  echo '<td class="td_o_all">&nbsp;</td>',N;
  echo '<td class="td_o_all">&nbsp;</td>',N;
  echo '<td class="td_o_all" style="text-align:center"><a class="small" href="qti_adm_domain.php?d=',$intDomid,'">',$L['Edit'],'</a>';
  echo ' &middot; ',($intDomid==0 ? '<span class="disabled">'.$L['Delete'].'</span>' : '<a class="small" href="qti_adm_cmd.php?a=deletedomain&amp;s='.$intDomid.'">'.$L['Delete'].'</a>'),'</td>';
  echo '<td class="td_o_all" style="text-align:center;">';
  if ( $i==0 )
  {
  echo '<span class="disabled">',$L['Up'],'</span>';
  }
  else
  {
  echo '<a class="small" href="qti_adm_sections.php?d=',$intDomid,'&amp;a=d_up">',$L['Up'],'</a>';
  }
  echo ' &middot; ';
  if ( $i+1==count($_SESSION['qtiDomains']) )
  {
  echo '<span class="disabled">',$L['Down'],'</span>';
  }
  else
  {
  echo '<a class="small" href="qti_adm_sections.php?d=',$intDomid,'&amp;a=d_down">',$L['Down'],'</a>';
  }
  $i += 1;

  $j = 0;
  foreach ($arrSections as $intSecid => $strSectitle)
  {
    // GET SECTIONS
    $oSection = new cSection($oDB,$intSecid);
    echo '<tr class="tr_s tr_s2">';
    echo '<td class="td_o" style="text-align:center">',AsImg($_SESSION[QT]['skin_dir'].'/ico_section_'.$oSection->type.'_'.$oSection->status.'.gif','S',$L['Ico_section_'.$oSection->type.'_'.$oSection->status],'ico_section'),'</td>';
    echo '<td class="td_o"><b>',$oSection->name,'</b><br/><span class="small">',$L['Section_type'][$oSection->type],($oSection->status==1 ? '('.$L['Section_status'][1].')' : ''),'</span></td>';
    echo '<td class="td_o" style="text-align:center">',$oSection->modname,'</td>';
    echo '<td class="td_o" style="text-align:center">',( $oSection->numfield=='N' ? $strNo : sprintf($oSection->numfield,1) ),'</td>';
    echo '<td class="td_o" style="text-align:center">',( $oSection->notify==1 ? $strYes : $strNo ),'</td>';
    echo '<td class="td_o" style="text-align:center"><a class="small" href="qti_adm_section.php?d=',$intDomid,'&amp;s=',$oSection->id,'">',$L['Edit'],'</a>';
    echo ' &middot; ',($intSecid==0 ? '<span class="disabled">'.$L['Delete'].'</span>' : '<a class="small" href="qti_adm_cmd.php?a=deletesection&amp;s='.$intSecid.'">'.$L['Delete'].'</a>'),'</td>';
    echo '<td class="td_o" style="text-align:center">';
    if ( $j==0 )   { echo '<span class="disabled">',$L['Up'],'</span>'; } else { echo '<a class="small" href="qti_adm_sections.php?d=',$intDomid,'&amp;s=',$intSecid,'&amp;a=f_up">',$L['Up'],'</a>'; }
    echo ' &middot; ';
    if ( $j+1==count($arrSections) ) { echo '<span class="disabled">',$L['Down'],'</span>'; } else { echo '<a class="small" href="qti_adm_sections.php?d=',$intDomid,'&amp;s=',$intSecid,'&amp;a=f_down">',$L['Down'],'</a>'; }
    $j += 1;
    echo '</td></tr>',N;
  }
}
echo '</table>',N,N;

echo '<h2>',$L['Section_add'],'</h2>',N;

echo '
<script type="text/javascript">
<!--
function ValidateForm(theForm)
{
  if (theForm.title.value.length==0) { alert(html_entity_decode("',$L['E_mandatory'],': ',$L['Domain'],'/',$L['Section'],'")); return false; }
  return null;
}
-->
</script>
';

echo '<form method="post" action="qti_adm_sections.php" onsubmit="return ValidateForm(this);">
<table class="tab tab_s" cellspacing="0">
<tr class="tr_s tr_s0">
<td class="td_o_all" style="width:130px;">',$L['Domain_add'],'</td>
<td class="td_o_all"><input name="title" type="text" size="30" maxlength="64" onKeyUp="handle_keypress(event,\'adddomain\')"/></td>
<td class="td_o_all" style="width:75px;"><input id="adddomain" name="adddomain" type="submit" value="',$L['Add'],'"/></td>
</tr>
</table>
</form>
',N;
echo '<form method="post" action="qti_adm_sections.php" onsubmit="return ValidateForm(this);">
<table class="tab" cellspacing="0">
<tr class="tr_s tr_s1">
<td class="td_o" style="width:130px;">',$L['Section_add'],'</td>
<td class="td_o">
<input name="title" type="text" size="30" maxlength="64"/>
&nbsp;',$L['In_domain'],S,'<select name="indomain" size="1" class="small">',QTastags($_SESSION['qtiDomains']),'</select>
</td>
<td class="td_o" style="width:75px;"><input name="addforum" type="submit" value="',$L['Add'],'"/></td>
</tr>
</table>
</form>
',N;

// HTML END

include('qti_adm_p_footer.php');

?>