<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Troubleticket
 * @package    QuickTicket
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2010 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.8 build:20080627
 * @link       http://www.qt-cute.org/doc/package/qti
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qti_init.php');
if ( $oVIP->role!='A' ) die($L['R_admin']);

// INITIALISE

include(Translate($_SESSION[QT]['language'],'qti_lang_adm.inc'));

$oVIP->selfurl = 'qti_adm_status.php';
$oVIP->exiturl = 'qti_adm_status.php';
$oVIP->selfname = $L['Status_man'];
$oVIP->exitname = $L['Status_man'];

// --------
// SUBMITTED
// --------

if (isset($_POST['ok']))
{
  if ($_POST['ok']==$L['Add'])
  {
    // check id
    $id = strtoupper($_POST['id']);
    if ( !ereg('[B-Y]',$id) ) $qti_error="Id $id ".$L['E_invalid']." (B-Y)";

    // check unic
    if ( empty($qti_error) )
    {
      $oDB->Query('SELECT count(id) as countid FROM '.TABSTATUS.' WHERE id="'.$id.'"');
      $row = $oDB->Getrow();
      if ( $row['countid']!=0 ) $qti_error = "Id $id ".$L['E_already_used'];
    }
    // check name
    if ( empty($qti_error) )
    {
      $name = trim($_POST['name']); if ( get_magic_quotes_gpc() ) $name = stripslashes($name);
      if ( $name=='' ) $qti_error = $L['Status'].S.$L['E_invalid'];
      $name = QThtmlquote($name,true,true,QTI_CONVERT_AMP);
    }
    // check description
    if ( empty($qti_error) )
    {
      $desc = trim($_POST['desc']); if ( get_magic_quotes_gpc() ) $desc = stripslashes($desc);
      $desc = QThtmlquote($desc,true,true,QTI_CONVERT_AMP);
    }

    // Add status
    unset($_SESSION['qtiTstatus']);
    if ( empty($qti_error) )
    {
      $oDB->Query('INSERT INTO '.TABSTATUS.' (id,name,description,icon,mailto) VALUES ("'.$id.'","'.$name.'","'.$desc.'","ico_status0.gif","")');
      $strInfo = $L['S_insert'];
    }
  }
  if ($_POST['ok']==$L['Ok'])
  {
    $_SESSION[QT]['show_closed'] = $_POST['show_closed'];
    $oDB->Query('UPDATE '.TABSETTING.' SET setting="'.$_SESSION[QT]['show_closed'].'" WHERE param="show_closed"');
    // exit
    $strInfo = $L['S_save'];
  }  
}

// --------
// HTML START
// --------

include('qti_adm_p_header.php');
include('qti_adm_p_title.php');

echo '<table cellspacing="0" class="tab">
<colgroup span="7"><col width="30"></col><col width="30"></col><col width="30"></col><col></col><col></col><col></col><col width="150"></col></colgroup>
<tr class="tr_t">
<th class="th_o">Id</th>
<th class="th_o">&nbsp;</th>
<th class="th_o">&nbsp;</th>
<th class="th_o" style="text-align:left">',$L['Status'],'</th>
<th class="th_o" style="text-align:left">',$L['Description'],'</th>
<th class="th_o">',$L['Email'],'</th>
<th class="th_o">',$L['Action'],'</th>
</tr>
';
$oDB->Query('SELECT * FROM '.TABSTATUS.' ORDER BY id');
while ( $row=$oDB->Getrow() )
{
  echo '<tr onmouseover="this.style.backgroundColor=\'#eeeeee\';" onmouseout="this.style.backgroundColor=\'#ffffff\';">',N;
  echo '<td class="td_o td_o_sta">',$row['id'],'</td>',N;
  echo '<td class="td_o td_o_sta">',AsImg($_SESSION[QT]['skin_dir'].'/'.$row['icon'],'-',$row['description'],'ico_status'),'</td>',N;
  echo '<td class="td_o td_o_sta" ',( empty($row['color']) ? '' : 'style="background-color:'.$row['color'].'"'),'>&nbsp;</td>',N;
  echo '<td class="td_o td_o_inf">',$row['name'],'</td>',N;
  echo '<td class="td_o td_o_inf"><span class="small">',$row['description'],'</span></td>',N;
  echo '<td class="td_o td_o_sta">',($row['mailto']!='' ? $L['Y'] : '<span class="disabled">'.$L['None'].'</span>'),'</td>',N;
  echo '<td class="td_o td_o_sta"><a class="small" href="qti_adm_status_upd.php?id=',$row['id'],'">',$L['Edit'],'</a>&nbsp;&middot;&nbsp;';
  if ( ($row['id']=='A') || ($row['id']=='Z') ) { echo '<span class="disabled">',$L['Delete']; } else { echo '<a class="small" href="qti_adm_cmd.php?a=deletestatus&amp;v=',$row['id'],'">',$L['Delete'],'</a>'; }
  echo '</td>',N,'</tr>',N;
}
echo '
</table>
';

echo '<h2>',$L['Display_options'],'</h2>';

echo '
<form method="post" action="',$oVIP->selfurl,'">
<table cellspacing="0" class="tab">
<tr class="tr_t">
<th class="th_o th_o_first" style="width:150px"><label for="show_closed">',$L['Show_z'],'</label></th>
<td class="td_o"><select id="show_closed" name="show_closed">
<option value="0"',($_SESSION[QT]['show_closed']=='0' ? QSEL : ''),'>',$L['N'],'</option>
<option value="1"',($_SESSION[QT]['show_closed']=='1' ? QSEL : ''),'>',$L['Y'],'</option>
</select> <span class="small">',sprintf($L['H_Show_z'],$_SESSION['qtiTstatus']['Z']['name']),'</span></td>
<td class="td_o"><input type="submit" name="ok" value="',$L['Ok'],'"/></td>
</tr>
</table>
</form>
';

echo '<h2>',$L['Status_add'],'</h2>';

echo '
<form method="post" action="',$oVIP->selfurl,'">
<table cellspacing="0" class="tab">
<colgroup span="4"><col width="30"></col><col></col><col></col><col width="150"></col></colgroup>
';
echo '<tr>
<th class="th_o">Id</th>
<th class="th_o" style="text-align:left">',$L['Status'],'</th>
<th class="th_o" style="text-align:left">',$L['Description'],'</th>
<th class="th_o">',$L['Action'],'</th>
</tr>
';
echo '<tr>
<td class="td_o" style="text-align:center"><input type="text" name="id" value="" size="1" maxlength="1" class="small"/></td>
<td class="td_o"><input type="text" name="name" value="" size="20" maxlength="24" class="small"/></td>
<td class="td_o"><input type="text" name="desc" value="" size="40" maxlength="255" class="small" onKeyUp="handle_keypress(event,\'ok\')"/></td>
<td class="td_o" style="text-align:center"><input type="submit" id="ok" name="ok" value="',$L['Add'],'"/></td>
</tr>
</table>
</form>
';

// --------
// HTML END
// --------

include('qti_adm_p_footer.php');

?>