<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Troubleticket
 * @package    QuickTicket
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2010 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.8 build:20080627
 * @link       http://www.qt-cute.org/doc/package/qti
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qti_init.php');
if ( !$oVIP->CanAccess('MUV',4) ) $oVIP->EndMessage('!',$L['R_member'],$_SESSION[QT]['skin_dir'],0);
if ( !isset($_GET['y']) ) die('Missing parameter y');

// INITIALISE

$intYear = intval(strip_tags($_GET['y']));
$intMonth = 0;
$s = -1; 
if ( isset($_GET['m']) ) $intMonth = intval(strip_tags($_GET['m']));
if ( isset($_GET['s']) ) $s = intval(strip_tags($_GET['s']));

if ( $s>=0 )
{
$strSection = 'forum='.$s.' AND';
$arrSectionTitle = GetSectionTitles($oDB,'A','-',-1,'',true);
$strSectionTitle = '<br/>'.$L['Section'].S.$arrSectionTitle[$s].'';
}
else
{ 
$strSection='';
$strSectionTitle = '';
}

$oVIP->selfurl = 'qti_ind_stat.php';
$oVIP->selfname = $L['Statistics'];
$oVIP->exiturl = 'qti_ind_stats.php';
$oVIP->exitname = '&laquo;'.S.$L['Statistics'];

// --------
// HTML START
// --------

$arrJava = array('com'=>false,'ajax'=>true);

include('qti_p_header.php');

// USERS

switch($oDB->type)
{
case 'mysql': $strQ = 'SELECT DISTINCT userid, username, count(id) as countid FROM '.TABPOST." WHERE $strSection YEAR(issuedate)=$intYear".($intMonth!=0 ? " AND MONTH(issuedate)=$intMonth" : '').' GROUP BY userid,username'; break;
case 'mssql': $strQ = 'SELECT DISTINCT userid, username FROM '.TABPOST." WHERE $strSection DATEPART(Yy,issuedate)=$intYear".($intMonth!=0 ? " AND DATEPART(Mm,issuedate)=$intMonth" : ''); break;
case 'pg':    $strQ = 'SELECT DISTINCT userid, username FROM '.TABPOST." WHERE $strSection EXTRACT(YEAR FROM issuedate)=$intYear".($intMonth!=0 ? " AND EXTRACT(MONTH FROM issuedate)=$intMonth" : ''); break;
case 'ibase': $strQ = 'SELECT DISTINCT userid, username FROM '.TABPOST." WHERE $strSection EXTRACT(YEAR FROM issuedate)=$intYear".($intMonth!=0 ? " AND EXTRACT(MONTH FROM issuedate)=$intMonth" : ''); break;
case 'sqlite':$strQ = 'SELECT DISTINCT userid, username FROM '.TABPOST." WHERE $strSection ".($intMonth==0 ? "STRFTIME('%Y',issuedate)='$intYear'" : "STRFTIME('%Y%m',issuedate)='".($intYear*100+$intMonth)."'"); break;
case 'access':$strQ = 'SELECT DISTINCT userid, username FROM '.TABPOST." WHERE $strSection YEAR(issuedate)=$intYear".($intMonth!=0 ? " AND MONTH(issuedate)=$intMonth" : ''); break;
case 'db2':   $strQ = 'SELECT DISTINCT userid, username FROM '.TABPOST." WHERE $strSection YEAR(issuedate)=$intYear".($intMonth!=0 ? " AND MONTH(issuedate)=$intMonth" : ''); break;
case 'ifx':   $strQ = 'SELECT DISTINCT userid, username FROM '.TABPOST." WHERE $strSection issuedate YEAR TO YEAR = $intYear".($intMonth!=0 ? " AND issuedate MONTH TO MONTH = $intMonth" : ''); break;
case 'oci':   $strQ = 'SELECT DISTINCT userid, username FROM '.TABPOST." WHERE $strSection ".($intMonth==0 ? "SUBSTR(issuedate,1,4)='$intYear'" : "SUBSTR(issuedate,1,6)='".($intYear*100+$intMonth)."'"); break;
default: die('Unknown db type '.$oDB->type);
}
$oDB->Query($strQ);
$arrUsers = array();
while($row=$oDB->Getrow())
{
  $arrUsers[$row['userid']]=$row['username'].(isset($row['countid']) ? ' ('.$row['countid'].')' : '');
}
$intUsers = count($arrUsers);
asort($arrUsers);

echo '<h1>',$L['Statistics'],'</h1>',N;

echo '<h2>',$L['Distinct_users'],( $intMonth!=0 ? ' '.$L['dateMM'][$intMonth] : ''),' ',$intYear,$strSectionTitle,'</h2>',N;
echo LangS('User',$intUsers,$L).'<br/><br/>';

echo '<table class="tab tab_o" cellspacing="0">',N;
echo '<tr class="tr_t">',N;
echo '<th class="th_t th_t_inf th_t_first" style="width:10px;">',S,'</th>',N;
echo '<th class="th_t th_t_inf" style="width:300px;">',$L['Username'],' (',strtolower($L['Messages']),')</th>',N;
echo '<th class="th_t th_t_inf" style="width:250px;">',$L['Information'],'</th>',N;
echo '<th class="th_t th_t_inf th_t_last" style="width:10px;">',S,'</th>',N;
echo '</tr>',N;
echo '<tr class="tr_t">',N;
echo '<td class="td_t td_t_inf1">&nbsp;</td>',N;
echo '<td class="td_t td_t_inf1" style="vertical-align:top">',N;

if ( $intUsers>0 ) 
{
  $str = '<br/>'; if ($intUsers>50) $str = ', ';
  foreach($arrUsers as $intId => $strName)
  {
  echo '<a href="qti_usr.php?id=',$intId,'" onmouseover="getUserDetails(',$intId,',\'',$_SESSION[QT]['language'],'\')">',$strName,'</a>',$str;
  }
}
else
{
  echo $L['None'].'<br/>';
}

echo '</td>',N;
echo '<td class="td_t td_t_inf1" style="vertical-align:top">',N;

  // DISPLAY Preview
  echo '<script type="text/javascript"></script><noscript>Your browser does not support JavaScript</noscript>';
  echo '<div id="title_err"></div>',N;

// preview
echo '</td>',N;
echo '<td class="td_t td_t_inf1">&nbsp;</td>',N;
echo '</tr>',N;
echo '<tr class="tr_t">',N;
echo '<td class="tf_t tf_t_first"></td>',N;
echo '<td class="tf_t"></td>',N;
echo '<td class="tf_t"></td>',N;
echo '<td class="tf_t tf_t_last"></td>',N;
echo '</tr>',N,'</table>',N;

// HTML END

echo '<br/><a href="',$oVIP->exiturl,'">',$oVIP->exitname,'</a><br/><br/>',N;

include('qti_p_footer.php');

?>