<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Troubleticket
 * @package    QuickTicket
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2010 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.8 build:20080627
 * @link       http://www.qt-cute.org/doc/package/qti
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qti_init.php');
if ( !$oVIP->CanAccess('MUV',4) ) $oVIP->EndMessage('!',$L['R_member'],$_SESSION[QT]['skin_dir'],0);

// INITIALISE

$arrGraphT = array();
for ($i=1;$i<13;$i++)
{
  $arrGraphT[$L['dateMMM'][$i]]=0;
}

$intYear = date('Y');
  if ( intval(date('n'))<2 ) $inthYear--;
  if ( isset($_GET['year']) ) $intYear = intval($_GET['year']);
$arrYears = array($intYear-1=>$intYear-1,$intYear=>$intYear);

$s = -1; if ( isset($_GET['s']) ) $s = intval($_GET['s']);
if ( $s>=0 ) { $strSection = 'forum='.$s.' AND'; } else { $strSection=''; }

  // FIRST/LAST DATE

  $query = 'SELECT min(issuedate) as startdate, max(issuedate) as lastdate FROM '.TABPOST;
  $oDB->Query($query);
  $row = $oDB->Getrow();

  if ( empty($row['startdate']) ) $row['startdate']=strval($intYear-1).'-01-01';
  if ( empty($row['lastdate']) )  $row['lastdate']=strval($intYear).'-12-31';

  $strFirstdate = QTdate($row['startdate'],$arrQTdate);
  $strLastdate  = QTdate($row['lastdate'],$arrQTdate);

$intStartyear  = intval(date('Y',strtotime($row['startdate'])));
$intStartmonth = intval(date('n',strtotime($row['startdate'])));
$intEndyear    = intval(date('Y'));
$intEndmonth   = intval(date('n'));

$arrAllYears = array();
for ($i=$intStartyear;$i<=$intEndyear;$i++) 
{
  $arrAllYears[$i]=$i;
}
$arrYears = array($intEndyear-1=>$intEndyear-1,$intEndyear=>$intEndyear);

$oVIP->selfurl = 'qti_ind_stats.php';
$oVIP->selfname = $L['Statistics'];

// --------
// HTML START
// --------

$arrCss = array('qti_graph.css');
$arrJava = array('com'=>false);

include('qti_p_header.php');

// USERS

$query = 'SELECT count(id) as countid FROM '.TABUSER;
$oDB->Query($query);
$row = $oDB->Getrow();
$intUsers = $row['countid'];

$iTotalPost = 0;

// TOPICS PER DAY

$intTPD = 0;
$oDB->Query('SELECT count(id) as countid, max(firstpostdate) as lastdate, min(firstpostdate) as firstdate FROM '.TABTOPIC);
if ( $row=$oDB->Getrow() )
{
  if ( $row['countid']!=0 && $row['lastdate']!=$row['firstdate'] )
  {
    $intDif = (strtotime($row['lastdate']) - strtotime($row['firstdate']))/86400;
    if ( $intDif>1 )
    {
    $intTPD = $row['countid'] / $intDif ;
    $intTPD = round($intTPD, 1);
    }
  }
}

// MESSAGE PER DAY

$intMPD = 0;
$oDB->Query('SELECT count(id) as countid,max(issuedate) as lastdate, min(issuedate) as firstdate FROM '.TABPOST);
if ( $row=$oDB->Getrow() ) {
if ( $row['countid']!=0 && $row['lastdate']!=$row['firstdate'] ) {
  $intDif = (strtotime($row['lastdate']) - strtotime($row['firstdate']))/86400;
  if ( $intDif>1 )
  {
  $intMPD = $row['countid'] / $intDif ;
  $intMPD = round($intMPD, 1);
  }
}
}

echo '<table class="tab_hidden" cellspacing="0">',N,'<tr class="tr_hidden">',N;
echo '<td class="td_hidden"><h1>',$L['Statistics'],'</h1></td>',N;
echo '<td class="td_hidden" style="width:370px">',N;

  echo '<h2>',$L['General_site'],'</h2>',N;
  echo '<table class="tab tab_t" style="width:370px;" cellspacing="0">',N;
  echo '<tr class="tr_t">',N;
  echo '<th class="th_o th_o_first" style="width:150px;"><span class="texthead">',$L['Users'],'</span></th>',N;
  echo '<td class="td_o">',$intUsers,'</td>',N;
  echo '</tr>',N;
  echo '<tr class="tr_t">',N;
  echo '<th class="th_o th_o_first" style="width:150px;"><span class="texthead">',$L['Board_start_date'],'</span></th>',N;
  echo '<td class="td_o">',$strFirstdate,'</td>',N;
  echo '</tr>',N;
  echo '<tr class="tr_t">',N;
  echo '<th class="th_o th_o_first" style="width:150px;"><span class="texthead">',$L['Last_message'],'</span></th>',N;
  echo '<td class="td_o">',$strLastdate,'</td>',N;
  echo '</tr>',N;

  echo '<tr class="tr_t">',N;
  echo '<th class="th_o th_o_first" style="width:150px;"><span class="texthead">',$L['Topics'],' / ',$L['Day'],'</span></th>',N;
  echo '<td class="td_o">',$intTPD,'</td>',N;
  echo '</tr>',N;

  echo '<tr class="tr_t">',N;
  echo '<th class="th_o th_o_first" style="width:150px;"><span class="texthead">',$L['Messages'],' / ',$L['Day'],'</span></th>',N;
  echo '<td class="td_o">',$intMPD,'</td>',N;
  echo '</tr>',N;
  echo '</table>',N;

echo '</td>',N,'</tr>',N,'</table>',N;

echo '<h2>',$L['Messages'],'</h2>',N;

echo '<table class="tab tab_t" cellspacing="0">',N;
echo '<tr class="tr_t">',N;
echo '<th class="th_o" style="width:50px">&nbsp;</th>',N;
for ($i=1;$i<13;$i++)
{
  echo '<th class="th_o" style="text-align:center;">',$L['dateMM'][$i],'</th>',N;
}
echo '<th class="th_o th_o_first" style="text-align:center;"><b>',$L['Year'],'</b></th>
</tr>',N;

Foreach ($arrYears as $valYear)
{
  echo '<tr class="tr_t">',N;
  echo '<th class="th_o th_o_first">',$valYear,'</th>',N;

  $iTotalPost = 0;
  for ($intMonth=1;$intMonth<13;$intMonth++)
  {
    if ( $valYear<$intStartyear )
    {
    echo '<td class="td_o" style="text-align:center;">&middot;</td>',N;
    continue;
    }
    if ( $valYear==$intStartyear && $intMonth<$intStartmonth)
    {
    echo '<td class="td_o" style="text-align:center;">&middot;</td>',N;
    continue;
    }
    if ( $valYear>=$intEndyear && $intMonth>$intEndmonth )
    {
    echo '<td class="td_o" style="text-align:center;">&middot;</td>',N;
    continue;
    }

    switch($oDB->type)
    {
    case 'mysql': $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE type<>"D" AND YEAR(issuedate)='.$valYear.' AND MONTH(issuedate)='.$intMonth ); break;
    case 'mssql': $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE type<>"D" AND DATEPART(Yy,issuedate)='.$valYear.' AND DATEPART(Mm,issuedate)='.$intMonth ); break;
    case 'pg':    $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE type<>"D" AND EXTRACT(YEAR FROM issuedate)='.$valYear.' AND EXTRACT(MONTH FROM issuedate)='.$intMonth ); break;
    case 'ibase': $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE type<>"D" AND EXTRACT(YEAR FROM issuedate)='.$valYear.' AND EXTRACT(MONTH FROM issuedate)='.$intMonth ); break;
    case 'sqlite':$oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE type<>"D" AND STRFTIME("%Y%m",issuedate)="'.($intYear*100+$intMonth)."'" ); break;
    case 'access':$oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE type<>"D" AND YEAR(issuedate)='.$valYear.' AND MONTH(issuedate)='.$intMonth ); break;
    case 'db2':   $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE type<>"D" AND YEAR(issuedate)='.$valYear.' AND MONTH(issuedate)='.$intMonth ); break;
    case 'ifx':   $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE type<>"D" AND issuedate YEAR TO YEAR = '.$valYear.' AND issuedate MONTH TO MONTH = '.$intMonth ); break;
    case 'oci':   $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE type<>"D" AND SUBSTR(issuedate,1,6")="'.($intYear*100+$intMonth)."'" ); break;
    default: die('Unknown db type '.$oDB->type);
    }
    $row = $oDB->Getrow();
    echo '<td class="td_o" style="text-align:center;">',$row['countid'],'</td>',N;
    $iTotalPost = $iTotalPost + $row['countid'];
  }
  echo '<td class="td_o" style="text-align:center;padding:5px"><b>',$iTotalPost,'</b></td>',N,'</tr>',N;
}

echo '</table>',N;

// DETAILS

$arrSections = GetSectionTitles($oDB,$oVIP->role);

echo '<form method="get" action="',$oVIP->selfurl,'"><table class="tab_hidden" cellspacing="0">';
echo '<tr class="tr_hidden" style="vertical-align:bottom;">';
echo '<td class="td_hidden"><h2>',$L['Details'],S,$intYear,S,($s>=0 ? '('.$arrSections[$s].')' : ''),'</h2></td>',N;
echo '<td class="td_hidden" style="text-align:right" class="small">',$L['Year'],' <select name="year" id="year" class="small">';
echo QTastags($arrYears,null,$intYear),'</select> ';
if ( count($arrSections)>0 )
{
  echo '<select name="s" id="s" class="small">';
  echo '<option value="-1">',$L['In_all_sections'],'</option>',N;
  echo QTastags($arrSections,$L['Section'].': %s',$s);
  echo '</select> ';
}
echo '<input type="submit" name="ok" class="small" value="',$L['Ok'],'"/></td>';
echo '</tr></table></form>',N;

echo '<table class="tab tab_t" cellspacing="0">',N;
echo '<tr class="tr_t">',N;
echo '<th class="th_o" style="width:50px">&nbsp;</th>',N;
for ($i=1;$i<13;$i++)
{
  echo '<th class="th_o" style="text-align:center;">',$L['dateMM'][$i],'</th>';
}
echo '<th class="th_o" style="text-align:center;"><b>',$L['Year'],'</b></th>
</tr>';

// Users

  echo '<tr class="tr_t">',N;
  echo '<th class="th_o">'.AsImg($_SESSION[QT]['skin_dir'].'/ico_user_p_1.gif','-',$L['Distinct_users'],'ico_user').'</th>',N;

  // count total per year
  switch($oDB->type)
  {
  case 'mysql': $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST." WHERE $strSection YEAR(issuedate)=$intYear" ); break;
  case 'mssql': $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST." WHERE $strSection DATEPART(Yy,issuedate)=$intYear" ); break;
  case 'pg':    $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST." WHERE $strSection EXTRACT(YEAR FROM issuedate)=$intYear" ); break;
  case 'ibase': $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST." WHERE $strSection EXTRACT(YEAR FROM issuedate)=$intYear" ); break;
  case 'sqlite':$oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST." WHERE $strSection STRFTIME('%Y',issuedate)='".$intYear."')" ); break;
  case 'access':$oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST." WHERE $strSection YEAR(issuedate)=$intYear)" ); break;
  case 'db2':   $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST." WHERE $strSection YEAR(issuedate)=$intYear)" ); break;
  case 'ifx':   $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST." WHERE $strSection issuedate YEAR TO YEAR = $intYear)" ); break;
  case 'oci':   $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST." WHERE $strSection TO_CAHR(issuedate,'YYYY'='$intYear')" ); break;
  default: die('Unknown db type '.$oDB->type);
  }
  $row=$oDB->Getrow();
  $iTotal = $row['countid'];

  for ($intMonth=1;$intMonth<13;$intMonth++)
  {
    if ( $intYear<$intStartyear )
    {
    echo '<td class="td_o" style="text-align:center;">&middot;</td>',N;
    continue;
    }
    if ( $intYear==$intStartyear && $intMonth<$intStartmonth)
    {
    echo '<td class="td_o" style="text-align:center;">&middot;</td>',N;
    continue;
    }
    if ( $intYear>=$intEndyear && $intMonth>$intEndmonth )
    {
    echo '<td class="td_o" style="text-align:center;">&middot;</td>',N;
    continue;
    }
    switch($oDB->type)
    {
    case 'mysql': $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' YEAR(issuedate)='.$intYear.' AND MONTH(issuedate)='.$intMonth ); break;
    case 'mssql': $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' DATEPART(Yy,issuedate)='.$intYear.' AND DATEPART(Mm,issuedate)='.$intMonth ); break;
    case 'pg':    $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' EXTRACT(YEAR FROM issuedate)='.$intYear.' AND EXTRACT(MONTH FROM issuedate)='.$intMonth ); break;
    case 'ibase': $oDB->Query( 'SELECT COUNT(DISTINCT userid) as countid FROM '.TABPOST.' WHERE '.$strSection.' EXTRACT(YEAR FROM issuedate)='.$intYear.' AND EXTRACT(MONTH FROM issuedate)='.$intMonth ); break;
    case 'sqlite':$oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' STRFTIME("%Y%m",issuedate)="'.($intYear*100+$intMonth).'")' ); break;
    case 'access':$oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' YEAR(issuedate)='.$intYear.' AND MONTH(issuedate)='.$intMonth.')' ); break;
    case 'db2':   $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' YEAR(issuedate)='.$intYear.' AND MONTH(issuedate)='.$intMonth.')' ); break;
    case 'ifx':   $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' issuedate YEAR TO YEAR = '.$intYear.' AND issuedate MONTH TO MONTH = '.$intMonth.')' ); break;
    case 'oci':   $oDB->Query( 'SELECT COUNT(*) as countid FROM (SELECT DISTINCT userid FROM '.TABPOST.' WHERE '.$strSection.' TO_CHAR(issuedate,"YYYYMM")="'.($intYear*100+$intMonth).'")' ); break;
    default: die('Unknown db type '.$oDB->type);
    }
    $row=$oDB->Getrow();
    echo '<td class="td_o" style="text-align:center;">',($row['countid']<1 ? $row['countid'] : '<a href="qti_ind_stat.php?y='.$intYear.'&amp;m='.$intMonth.'&amp;s='.$s.'">'.$row['countid'].'</a>'),'</td>',N;
  }
  echo '<td class="td_o" style="text-align:center;padding:5px"><b>',($iTotal<1 ? $iTotal : '<a href="qti_ind_stat.php?y='.$intYear.'&amp;s='.$s.'">'.$iTotal.'</a>'),'</b></td></tr>',N;


// Topics

  echo '<tr class="tr_t">',N;
  echo '<th class="th_o">',AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_t_0.gif','P',$L['Topics'],'ico_topic'),'</th>',N;

  $iTotal = 0;
  for ($intMonth=1;$intMonth<13;$intMonth++)
  {
    if ( $intYear<$intStartyear )
    {
    echo '<td class="td_o" style="text-align:center;background-color:#C3D9FF;">&middot;</td>',N;
    continue;
    }
    if ( $intYear==$intStartyear && $intMonth<$intStartmonth)
    {
    echo '<td class="td_o" style="text-align:center;background-color:#C3D9FF;">&middot;</td>',N;
    continue;
    }
    if ( $intYear>=$intEndyear && $intMonth>$intEndmonth )
    {
    echo '<td class="td_o" style="text-align:center;background-color:#C3D9FF;">&middot;</td>',N;
    continue;
    }
    switch($oDB->type)
    {
    case 'mysql': $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="P" AND YEAR(issuedate)='.$intYear.' AND MONTH(issuedate)='.$intMonth ); break;
    case 'mssql': $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="P" AND DATEPART(Yy,issuedate)='.$intYear.' AND DATEPART(Mm,issuedate)='.$intMonth ); break;
    case 'pg':    $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="P" AND EXTRACT(YEAR FROM issuedate)='.$intYear.' AND EXTRACT(MONTH FROM issuedate)='.$intMonth ); break;
    case 'ibase': $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="P" AND EXTRACT(YEAR FROM issuedate)='.$intYear.' AND EXTRACT(MONTH FROM issuedate)='.$intMonth ); break;
    case 'sqlite':$oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="P" AND STRFTIME("%Y%m",issuedate)="'.($intYear*100+$intMonth).'"' ); break;
    case 'access':$oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="P" AND YEAR(issuedate)='.$intYear.' AND MONTH(issuedate)='.$intMonth ); break;
    case 'db2':   $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="P" AND YEAR(issuedate)='.$intYear.' AND MONTH(issuedate)='.$intMonth ); break;
    case 'ifx':   $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="P" AND STRFTIME(issuedate,"YYYYMM")="'.($intYear*100+$intMonth).'"' ); break;
    default: die('Unknown db type '.$oDB->type);
    }
    $row = $oDB->Getrow();
    echo '<td class="td_o" style="text-align:center;;background-color:#C3D9FF;">',($row['countid']<1 ? 0 : '<a href="qti_ind_search_ti.php?y='.$intYear.'&ti='.$intMonth.'&s='.$s.'">'.$row['countid']),'</a></td>',N;
    $iTotal = $iTotal + $row['countid'];
    $arrGraphT[$L['dateMMM'][$intMonth]] = $row['countid'];
  }
  echo '<td class="td_o" style="text-align:center;padding:5px;background-color:#C3D9FF;"><b>',($iTotal<1 ? 0 : '<a href="qti_ind_search_ti.php?y='.$intYear.'&ti=y&s='.$s.'">'.$iTotal.'</a>'),'</b></td></tr>',N;

// Annonces

  echo '<tr class="tr_t">',N;
  echo '<th class="th_o">',AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_a_0.gif','A',$L['Newss'],'ico_topic').'</th>',N;

  $iTotal = 0;
  for ($intMonth=1;$intMonth<13;$intMonth++)
  {
    if ( $intYear<$intStartyear )
    {
    echo '<td class="td_o" style="text-align:center;">&middot;</td>',N;
    continue;
    }
    if ( $intYear==$intStartyear && $intMonth<$intStartmonth)
    {
    echo '<td class="td_o" style="text-align:center;">&middot;</td>',N;
    continue;
    }
    if ( $intYear>=$intEndyear && $intMonth>$intEndmonth )
    {
    echo '<td class="td_o" style="text-align:center;">&middot;</td>',N;
    continue;
    }
    switch($oDB->type)
    {
    case 'mysql': $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="A" AND YEAR(issuedate)='.$intYear.' AND MONTH(issuedate)='.$intMonth ); break;
    case 'mssql': $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="A" AND DATEPART(Yy,issuedate)='.$intYear.' AND DATEPART(Mm,issuedate)='.$intMonth ); break;
    case 'pg':    $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="A" AND EXTRACT(YEAR FROM issuedate)='.$intYear.' AND EXTRACT(MONTH FROM issuedate)='.$intMonth ); break;
    case 'ibase': $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="A" AND EXTRACT(YEAR FROM issuedate)='.$intYear.' AND EXTRACT(MONTH FROM issuedate)='.$intMonth ); break;
    case 'sqlite':$oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="A" AND STRFTIME("%Y%m",issuedate)="'.($intYear*100+$intMonth).'"' ); break;
    case 'access':$oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="A" AND YEAR(issuedate)='.$intYear.' AND MONTH(issuedate)='.$intMonth ); break;
    case 'db2':   $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="A" AND YEAR(issuedate)='.$intYear.' AND MONTH(issuedate)='.$intMonth ); break;
    case 'ifx':   $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="A" AND issuedate YEAR TO YEAR = '.$intYear.' AND issuedate MONTH TO MONTH = '.$intMonth ); break;
    case 'oci':   $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="A" AND TO_CHAR(issuedate,"YYYYMM")="'.($intYear*100+$intMonth).'"' ); break;
    default: die('Unknown db type '.$oDB->type);
    }
    $row = $oDB->Getrow();
    echo '<td class="td_o" style="text-align:center;">',$row['countid'],'</td>',N;
    $iTotal = $iTotal + $row['countid'];
  }
  echo '<td class="td_o" style="text-align:center;padding:5px"><b>',$iTotal,'</b></td></tr>',N;

// Reply

  echo '<tr class="tr_t">',N;
  echo '<th class="th_o">',AsImg($_SESSION[QT]['skin_dir'].'/ico_post_r.gif','P',$L['Replys'],'ico_post'),'</th>',N;

  $iTotal = 0;
  for ($intMonth=1;$intMonth<13;$intMonth++)
  {
    if ( $intYear<$intStartyear )
    {
    echo '<td class="td_o" style="text-align:center;">&middot;</td>',N;
    continue;
    }
    if ( $intYear==$intStartyear && $intMonth<$intStartmonth)
    {
    echo '<td class="td_o" style="text-align:center;">&middot;</td>',N;
    continue;
    }
    if ( $intYear>=$intEndyear && $intMonth>$intEndmonth )
    {
    echo '<td class="td_o" style="text-align:center;">&middot;</td>',N;
    continue;
    }
    switch($oDB->type)
    {
    case 'mysql': $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="R" AND YEAR(issuedate)='.$intYear.' AND MONTH(issuedate)='.$intMonth ); break;
    case 'mssql': $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="R" AND DATEPART(Yy,issuedate)='.$intYear.' AND DATEPART(Mm,issuedate)='.$intMonth ); break;
    case 'pg':    $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="R" AND EXTRACT(YEAR FROM issuedate)='.$intYear.' AND EXTRACT(MONTH FROM issuedate)='.$intMonth ); break;
    case 'ibase': $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="R" AND EXTRACT(YEAR FROM issuedate)='.$intYear.' AND EXTRACT(MONTH FROM issuedate)='.$intMonth ); break;
    case 'sqlite':$oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="R" AND STRFTIME("%Y%m",issuedate)="'.($intYear*100+$intMonth).'"' ); break;
    case 'access':$oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="R" AND YEAR(issuedate)='.$intYear.' AND MONTH(issuedate)='.$intMonth ); break;
    case 'db2':   $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="R" AND YEAR(issuedate)='.$intYear.' AND MONTH(issuedate)='.$intMonth ); break;
    case 'ifx':   $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="R" AND issuedate YEAR TO YEAR = '.$intYear.' AND issuedate MONTH TO MONTH = '.$intMonth ); break;
    case 'oci':   $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="R" AND TO_CHAR(issuedate,"YYYYMM")="'.($intYear*100+$intMonth).'"' ); break;
    default: die('Unknown db type '.$oDB->type);
    }
    $row = $oDB->Getrow();
    echo '<td class="td_o" style="text-align:center;">',$row['countid'],'</td>',N;
    $iTotal = $iTotal + $row['countid'];
  }
  echo '<td class="td_o" style="text-align:center;padding:5px"><b>',$iTotal,'</b></td></tr>',N;

// Forward

  echo '<tr class="tr_t">',N;
  echo '<th class="th_o">',AsImg($_SESSION[QT]['skin_dir'].'/ico_post_f.gif','f',$L['Forwards'],'ico_post'),'</th>',N;

  $iTotal = 0;
  for ($intMonth=1;$intMonth<13;$intMonth++)
  {
    if ( $intYear<$intStartyear )
    {
    echo '<td class="td_o" style="text-align:center;">&middot;</td>',N;
    continue;
    }
    if ( $intYear==$intStartyear && $intMonth<$intStartmonth)
    {
    echo '<td class="td_o" style="text-align:center;">&middot;</td>',N;
    continue;
    }
    if ( $intYear>=$intEndyear && $intMonth>$intEndmonth )
    {
    echo '<td class="td_o" style="text-align:center;">&middot;</td>',N;
    continue;
    }
    switch($oDB->type)
    {
    case 'mysql': $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="F" AND YEAR(issuedate)='.$intYear.' AND MONTH(issuedate)='.$intMonth ); break;
    case 'mssql': $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="F" AND DATEPART(Yy,issuedate)='.$intYear.' AND DATEPART(Mm,issuedate)='.$intMonth ); break;
    case 'pg':    $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="F" AND EXTRACT(YEAR FROM issuedate)='.$intYear.' AND EXTRACT(MONTH FROM issuedate)='.$intMonth ); break;
    case 'ibase': $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="F" AND EXTRACT(YEAR FROM issuedate)='.$intYear.' AND EXTRACT(MONTH FROM issuedate)='.$intMonth ); break;
    case 'sqlite':$oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="F" AND STRFTIME("%Y%m",issuedate)="'.($intYear*100+$intMonth).'"' ); break;
    case 'access':$oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="F" AND YEAR(issuedate)='.$intYear.' AND MONTH(issuedate)='.$intMonth ); break;
    case 'db2':   $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="F" AND YEAR(issuedate)='.$intYear.' AND MONTH(issuedate)='.$intMonth ); break;
    case 'ifx':   $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="F" AND issuedate YEAR TO YEAR = '.$intYear.' AND issuedate MONTH TO MONTH = '.$intMonth ); break;
    case 'oci':   $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE '.$strSection.' type="F" AND TO_CHAR(issuedate,"YYYYMM")="'.($intYear*100+$intMonth).'"' ); break;
    default: die('Unknown db type '.$oDB->type);
    }
    $row = $oDB->Getrow();
    echo '<td class="td_o" style="text-align:center;">',$row['countid'],'</td>',N;
    $iTotal = $iTotal + $row['countid'];
  }
  echo '<td class="td_o" style="text-align:center;padding:5px"><b>',$iTotal,'</b></td></tr>',N;

echo '</table>',N;
echo '<p>',AsImg($_SESSION[QT]['skin_dir'].'/ico_user_p_1.gif','-',null,'ico_user'),' ',$L['Distinct_users'],',<br/>';
echo AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_t_0.gif','T',$L['Topics'],'ico_topic'),' ',$L['Topics'],', ';
echo AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_a_0.gif','A',$L['Newss'],'ico_topic'),' ',$L['Newss'],', ';
echo AsImg($_SESSION[QT]['skin_dir'].'/ico_post_r.gif','P',$L['Replys'],'ico_post'),' ',$L['Replys'],', ';
echo AsImg($_SESSION[QT]['skin_dir'].'/ico_post_f.gif','f',$L['Forwards'],'ico_post'),' ',$L['Forwards'],'</p>',N;

// GRAPH

if ( file_exists('bin/qt_lib_graph.php') && file_exists($_SESSION[QT]['skin_dir'].'/qti_graph.css') )
{
  include('bin/qt_lib_graph.php');
  echo '<table class="tab tab_t" cellspacing="0">',N;
  echo '<tr class="tr_t">',N;
  echo '<th class="th_t th_t_tit th_t_first" style="width:10px;"></th>',N;
  echo '<th class="th_t th_t_tit" style="width:350px;">',$L['Details'],S,$intYear,S,($s>=0 ? '('.$arrSections[$s].')' : ''),'</th>',N;
  echo '<th class="th_t th_t_tit" style="width:350px;"></th>',N;
  echo '<th class="th_t th_t_tit th_t_last" style="width:10px;"></th>',N;
  echo '</tr>',N;
  echo '<tr class="tr_t">',N;
  echo '<td class="td_t td_t_graph">&nbsp;</td>',N;
  echo '<td class="td_t td_t_graph">',N,N;
  QTsimplegraph($arrGraphT,false,320,100,2,true,$L['Items_per_month']);
  echo '</td>',N;
  echo '<td class="td_t td_t_graph" style="vertical-align:top">',N,N;
  QTsimplegraph($arrGraphT,false,350,100,2,'P',$L['Items_per_month'].' (%)');
  echo '</td>',N;
  echo '<td class="td_t td_t_graph">&nbsp;</td>',N;
  echo '</tr>',N;
  echo '<tr class="tr_t">',N;
  echo '<td class="td_t td_t_graph">&nbsp;</td>',N;
  echo '<td class="td_t td_t_graph">',N,N;
  QTsimplegraph($arrGraphT,true,320,100,2,true,$L['Items_per_month_cumul']);
  echo '</td>',N;
  echo '<td class="td_t td_t_graph" style="vertical-align:top">',N,N;
  QTsimplegraph($arrGraphT,true,350,100,2,'P',$L['Items_per_month_cumul'].' (%)');
  echo '</td>',N;
  echo '<td class="td_t td_t_graph">&nbsp;</td>',N;
  echo '</tr>',N;
  echo '<tr class="tr_t">',N;
  echo '<td class="tf_t tf_t_first"></td>',N;
  echo '<td class="tf_t"></td>',N;
  echo '<td class="tf_t"></td>',N;
  echo '<td class="tf_t tf_t_last"></td>',N;
  echo '</tr>',N,'</table>',N;
}
else
{
  echo '<p class="small">Graphs cannot be displayed because one of these files is missing: bin/qt_lib_graph.php, ',$_SESSION[QT]['skin_dir'].'/qti_graph.css</p>';
}

// HTML END

include('qti_p_footer.php');

?>